Articles

Firefox 55: Flash Will Become "Ask to Activate" for Everyone

Posted by Megalith 8:59 AM (CDT)

Friday May 19, 2017

The death knell for Flash continues: at default, version 55 of Firefox will require user input before the plugin runs, giving it better parity with Chrome, Opera, and other competing browsers that already run Flash on a click-to-play setting or have it disabled altogether. Additionally, Flash will only play from HTTP and HTTPS protocols (e.g., local SWF files [file://] will no longer work). This version of the browser is expected to debut in August.



Starting with the release of Firefox 55, the Adobe Flash plugin for Firefox will be set to "Ask to Activate" by default for all users. This move was announced in August 2016, as part of Mozilla's plan to move away from plugins built around the NPAPI technology. Flash is currently the only NPAPI plugin still supported in Firefox, and moving its default setting from "Always Activate" to "Ask to Activate" is just another step towards the final step of stop supporting Flash altogether. This new Flash default setting is already live in Firefox's Nightly Edition and will move through the Alpha and Beta versions as Firefox nears its v55 Stable release.


Discussion